Subject: problem compiling gamess for linux-alpha cluster (with fort,ccc)

From: Joshua Wilkie <[email-masked]>
Date: Fri, 24 Jan 2003 13:07:11 -0800

Hi.

I'm having problems getting Gamess (US version) to run in parallel on my 
linux-alpha cluster (using Compaq fort and ccc).

Gamess compiles and runs without error on a single processor but crashes with 

forrtl: severe (174): SIGSEGV, segmentation fault occurred
ddikick: Trapped SIGCHLD: Unexpected termination of a child process.
child process 0: interrupted by parent
child process 3: interrupted by parent
child process 2: interrupted by parent
child process 4: interrupted by parent
child process 5: interrupted by parent
ddikick: A signal has been sent to interrupt all child processes.
ddikick: terminated abnormally.

when I try to run on three processors. I assume the problem is with the settings
in ddikick.c, although I made the changes

"            1. vi compall, to change "cc" t "ccc" in three places
            2. vi comp, changing "f77" to "fort" in compaq-axp clause
            3. vi lked, changing "f77" to "fort" in compaq-axp clause
            4. vi source/ddisoc.c, to add a second trailing underscore
               to all "soc" routine names in the #ifdef COMPAQ clause.
            5. vi source/ddikick.c and source/ddisoc.c, to change
               the #ifdef COMPAQ clause's type cast of "getsockcast"
               from "int" to "unsigned int". 

"
recommended in the IRON.DOC file. 

Any advice you can provide would be appreciated. Thanks,

Joshua Wilkie

---------------------------------------------------------------------------------

						Joshua Wilkie, PhD
						Assistant Professor
						Department of Chemistry
						Simon Fraser University
						8888 University Drive
						Burnaby, British Columbia
						Canada, V5A 1S6

						Phone: 604-291-3353
						Fax: 604-291-3765
						Email: [email-masked]